varying mediump vec2 var_texcoord0;

uniform mediump sampler2D tex0;

void main ()
{
	//ball
	vec2 hack_uv = texture2D(tex0, var_texcoord0).xy;
	float ballAShape = smoothstep(1.0 - clamp(distance(hack_uv, vec2(0.5, 0.5)) * 0.35, 0.0, 1.0), 1.0, 0.99);
	vec3 ballACol = (1.0 - ballAShape) * vec3(mix(vec3(1.0, 0.5, 0.0), vec3(1.0, 0.0, 0.0), ballAShape));

	gl_FragColor = vec4(ballACol, 0.0);
}